VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "C_PTOVTA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Public Function ListarPtoVta(StrSiteID As String) As ADODB.Recordset
    Dim rs As ADODB.Recordset
    Dim StrSql As String
On Error GoTo errhandler
    
    Set rs = New ADODB.Recordset
    
    StrSql = "ListarPtoVta '" & StrSiteID & "'"
    
    rs.CursorLocation = adUseClient
    rs.Open StrSql, "FILEDSN=conexionsies", adOpenUnspecified, adLockUnspecified, adCmdUnspecified
    
    Set ListarPtoVta = rs
        
    'GetObjectContext.SetComplete
    
    Exit Function
errhandler:
    If Not rs Is Nothing Then
        Set rs = Nothing
    End If
    
    'GetObjectContext.SetAbort
    
    Err.Raise Err.Number, "DB_INV_MANTENIMIENTOS.ListarPtoVta", Err.Description

End Function
